package com.xjrsoft.module.banding.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.banding.entity.BandingTaskRule;
import com.xjrsoft.module.banding.mapper.BandingTaskRuleMapper;
import com.xjrsoft.module.banding.service.IBandingTaskRuleService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class BandingTaskRuleServiceImpl extends MPJBaseServiceImpl<BandingTaskRuleMapper, BandingTaskRule> implements IBandingTaskRuleService {
    @Override
    public Boolean add(BandingTaskRule bandingTaskRule) {
        this.baseMapper.insert(bandingTaskRule);
        return true;
    }

    @Override
    public Boolean update(BandingTaskRule bandingTaskRule) {
        this.baseMapper.updateById(bandingTaskRule);
        return true;
    }

    @Override
    public Boolean delete(List<Long> ids) {
        this.baseMapper.deleteBatchIds(ids);
        return true;
    }
}
